Function
findMotif
Represents the main function which is used to start the search for noticeable motif patterns.
findMotif(finder,dataset,seq_model)
Include Headers
seqan/find_motif.h
Parameters

finder | The MotifFinder object. Types: MotifFinder
dataset | The dataset object representing the input sequences. Types: StringSet
seq_model | The seq_model object. Types: Omops, Oops, Tcm, Zoops Remarks: The sequence models rely on different assumptions about the distribution of motif occurrences across the sample sequences.

Remarks
The PROJECTION algorithm is able to run in Oops, Zoops and Tcm mode.
The ePatternBranching algorithm is able to run in Oops and Omops mode.
The Pms1 and Pmsp algorithm is able to run in Oops, Omops, Zoops and Tcm mode.
Example Programs
Motif Finder
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47